/*
 * @(#)GenerationExceptionTest.java
 *
 * Copyright (C) 2006 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso.helper;

import info.dragonlady.sso.helper.GenerationException;
import junit.framework.TestCase;

/**
 * GenerationException クラステストケース。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2006/11/24 13:11:22 $
 */
public class GenerationExceptionTest extends TestCase {

	/**
	 * @param arg0
	 */
	public GenerationExceptionTest(String arg0) {
		super(arg0);
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/**
	 * {@link info.dragonlady.sso.helper.GenerationException#GenerationException()} のためのテスト・メソッド。
	 */
	public final void testGenerationException() {
		try {
			new GenerationException();
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/**
	 * {@link info.dragonlady.sso.helper.GenerationException#GenerationException(java.lang.String)} のためのテスト・メソッド。
	 */
	public final void testGenerationExceptionString() {
		try {
			String message = "message";
			new GenerationException(message);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/**
	 * {@link info.dragonlady.sso.helper.GenerationException#GenerationException(java.lang.Throwable)} のためのテスト・メソッド。
	 */
	public final void testGenerationExceptionThrowable() {
		try {
			Exception e = new Exception("exception_message");
			new GenerationException(e);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/**
	 * {@link info.dragonlady.sso.helper.GenerationException#GenerationException(java.lang.String, java.lang.Throwable)} のためのテスト・メソッド。
	 */
	public final void testGenerationExceptionStringThrowable() {
		try {
			String message = "message";
			Exception e = new Exception("exception_message");
			new GenerationException(message, e);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

}
